Pay

The Apple Pay API allows merchants to process payments using Apple Pay.This API accepts a decrypted Apple Pay payment token, validates it, and processes the transaction through the payment gateway.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

A session ID, is a unique identifier that a server generates as part of the create session API call and assigns to a merchant transaction for the duration of the session (15 min).

string
required

This is a unique identifier for this order to discern it from others order you created. If orderId is not sent with the request, an orderId is created by the server and returned in the response. The orderid can be used to refer to this order in subsequent transactions and in retrieving meta data about the order. The orderId must always be unique for every order created under your merchant profile. This must be a valid GUID.

string
required

3D Secure ID of the order created through the Authenticate Payer operation.

paymentMethod
object
required

Details of the card used for the purchase.

string
enum
Defaults to DirectAPI

Source of capturing the transaction. Use "DirectAPI" for this call.

Allowed:
string
enum
Defaults to Pay

Type of payment operation that is carried out with this transaction

Allowed:
string

Customer's phone number eg: "511111111". If phoneCountryCode is passed, phoneNumber must be passed.

string

Country code of customer's phone number eg: "+971". If phoneNumber is passed, phoneCountryCode must be passed

string
Defaults to https://somereturnurl.com

The URL where the client will be automatically redirected to once the Authentication process has been successful. Must be dynamic, based on the order being created. Must be a URL with a HTTPS protocol.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json